<div class="contentMiddle left filler-bottom-end-p" style="margin-right: 0;" *ngIf="visible">
  <div class="content-holder" *ngIf="account">
    <h4>Your account</h4>
    <p>Click to select an Amount from your account to donate.</p>


    <nz-spin [nzSpinning]="isLoading[0]">
      <div class="trade">
        <!-- CURRENCIES YOU CAN TRADE -->
        <div class="item" *ngFor="let item of account">
          <input id="accId{{item.id}}" name="Select" type="radio" (click)="selectCurrency(item)">
          <label id="donateAccId{{item.id}}" for="accId{{item.id}}">
            <ul class="tradeItem small">
              <li>
                <img src="{{hostUrl}}/{{item.flagLocation[1] | lowercase}}" /> <!-- assets/img/fla/xl/germany.png -->
              </li>
              <li style="color: #555;">
                {{ item.amount }}
                <b>{{ item.currencyName }}</b>
              </li>
            </ul>
          </label>
        </div>

        <div class="clear"></div>
      </div>
    </nz-spin>

    <div *ngIf="selectedCurrency">
      <ul class="add small">
        {{selectedCurrency.currencyName}}
        <li>
          <input type="number" class="numberVal" name="Amount" placeholder="Amount" min="0" [(ngModel)]="selectedAmount">
        </li>
        <li>
          <input type="button" class="smBtn blButton smaller" value="Add" (click)="addItem()" style="border: none;">

        </li>
      </ul>
    </div>

  </div>
</div>
